Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596407 - fatal error: config/rs6000/rs6000-modes.h: No such file or directory
Summary: fatal error: config/rs6000/rs6000-modes.h: No such file or directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 21:00 UTC by Dave Malcolm
Modified: 2018-07-18 18:31 UTC (History)
10 users (show)

Fixed In Version: gcc-8.1.1-4.fc29 gcc-8.1.1-5.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-30 08:03:09 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2018-06-28 21:00:29 UTC
Description of problem:
Attempting to rebuild gcc-python-plugin, I ran into this issue on ppc64 and ppc64le:


checking for gcc-plugin.h... not found
Test compilation failed with exit code 1
  The command was:
    gcc -c -o config-tests/00001-checking-for-gcc-plugin.h/feature-test.o -I/usr/lib/gcc/ppc64le-redhat-linux/8/plugin/include -x c++ config-tests/00001-checking-for-gcc-plugin.h/feature-test.c
  The source was: (in config-tests/00001-checking-for-gcc-plugin.h/feature-test.c)
    #include <gcc-plugin.h>
  The stderr was:
    In file included from /usr/lib/gcc/ppc64le-redhat-linux/8/plugin/include/tm.h:26,
                     from /usr/lib/gcc/ppc64le-redhat-linux/8/plugin/include/backend.h:28,
                     from /usr/lib/gcc/ppc64le-redhat-linux/8/plugin/include/gcc-plugin.h:30,
                     from config-tests/00001-checking-for-gcc-plugin.h/feature-test.c:1:
    /usr/lib/gcc/ppc64le-redhat-linux/8/plugin/include/config/rs6000/rs6000.h:35:10: fatal error: config/rs6000/rs6000-modes.h: No such file or directory
     #include "config/rs6000/rs6000-modes.h"
              ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    compilation terminated.
make: *** [Makefile:177: autogenerated-config.h] Error 1

I'm guessing it's an unpackaged header file.

Failed build on ppc64le:
  https://koji.fedoraproject.org/koji/taskinfo?taskID=27927700
and on ppc64:
  https://koji.fedoraproject.org/koji/taskinfo?taskID=27927702

Version-Release number of selected component (if applicable):
gcc-plugin-devel.ppc64 8.1.1-3.fc29
gcc-plugin-devel.ppc64le 8.1.1-3.fc29

Comment 1 Dave Malcolm 2018-06-29 09:35:56 UTC
For reference, Jakub fixed this upstream (on trunk) here:
https://gcc.gnu.org/git/?p=gcc.git;a=commitdiff;h=c335f36328f1d6928bbb1496c022bd297836f02a

Comment 2 Jakub Jelinek 2018-06-30 08:03:09 UTC
Fixed.

Comment 3 Fedora Update System 2018-07-16 13:04:27 UTC
gcc-8.1.1-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-941e5c9407

Comment 4 Fedora Update System 2018-07-16 20:29:59 UTC
gcc-8.1.1-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-941e5c9407

Comment 5 Fedora Update System 2018-07-18 18:31:50 UTC
gcc-8.1.1-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.